#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stones.inc"

camera {
  location  < 0.8 1.5 -5 >
  direction < 0 0 1.5 >
  up        < 0 1 0 >
  right     < 1.33 0 0 >
  look_at   < 0 1.2 0 >
}

/* Gold metal sphere placed inside
   the wire cube for effect.        */

object {
  sphere { < 0 1.2 0 > 0.8 }
  texture { Gold_Metal }
}

/* Marblized wire cube I'm famous
   for drawing.  Just made from some
   CSG boxes.                        */

object {
  difference {
    box { < -1.2 0 -1.2 > < 1.2 2.4 1.2> }
    box { < -1 0.2 -2 > < 1 2.2 2 > }
    box { < -2 0.2 -1 > < 2 2.2 1 > }
    box { < -1 -1 -1 > < 1 3 1 > }
  }
  texture { Stone21 }
}

/* A simple gray coloured floor.  The
   wire cube sits on the floor.        */

object {
  plane { < 0 1 0 > 0 }
  texture { colour red 0.8 green 0.8 blue 0.8 }
}

/* This is a cloudy sky borrowed from
   'pool.pov' provided as a sample scene. */

object {
   sphere { <0.0 -10000.0 -200.0> 15000.0 }
   texture {
      0.05
      Bright_Blue_Sky
      scale <7500.0 1000.0 5000.0>
      ambient 0.7
      diffuse 0.0
   }
   colour red 0.5 green 0.5 blue 1.0
}

object { light_source { < 5 8 -6 > colour White } }

